<?php

/*
 *Copyright (C) www.vtiger.com. All rights reserved.
 * @license Proprietary
*/

class Portal_Ping_API extends Portal_Default_API {

    public function process(Portal_Request $request) {
        $response = new Portal_Response();
        $result = Vtiger_Connector::getInstance()->authentication();
        // Check to stop loading portal information if two-factor authentication is enabled.
        $result['waitingFor2FAuth'] = Portal_Session::get('WAITING_FOR_AUTH_CODE');
        $response->setResult($result);
        return $response;
    }

}
