<?php

/*
 *Copyright (C) www.vtiger.com. All rights reserved.
 * @license Proprietary
*/

class Portal_Send2FA_API extends Portal_Default_API {

    public function requireLogin() { return false; }

    public function process(Portal_Request $request) {
        $userName = Portal_Session::get('username');
        $resend = $request->get('resend');
        $code = $resend ? Portal_Session::get('2FA_CODE') : false;
        $result = Vtiger_Connector::getInstance()->send2FA($userName, $code);
        unset($result['2FA_CODE']);
        $response = new Portal_Response();
        $response->setResult($result);
        return $response;
    }
}
